## org.apache.batik.bridge
Interface UpdateManagerListener

All Known Implementing Classes:
  AbstractJSVGComponent.SVGListener, JSVGCanvas.CanvasSVGListener, JSVGComponent.ExtendedSVGListener, JSVGScrollPane.ScrollListener, JSVGViewerFrame, UpdateManagerAdapter

    public interface UpdateManagerListener

This interface represents a listener to the UpdateManagerEvent events.

Method Summary
`void` `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`void` `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` `updateStarted(UpdateManagerEvent e)` Called when an update started.

Method Detail

### managerStarted

    void managerStarted(UpdateManagerEvent e)

  Called when the manager was started.

### managerSuspended

    void managerSuspended(UpdateManagerEvent e)

  Called when the manager was suspended.

### managerResumed

    void managerResumed(UpdateManagerEvent e)

  Called when the manager was resumed.

### managerStopped

    void managerStopped(UpdateManagerEvent e)

  Called when the manager was stopped.

### updateStarted

    void updateStarted(UpdateManagerEvent e)

  Called when an update started.

### updateCompleted

    void updateCompleted(UpdateManagerEvent e)

  Called when an update was completed.

### updateFailed

    void updateFailed(UpdateManagerEvent e)

  Called when an update failed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.